-- MySQL dump 10.13  Distrib 8.0.34, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: xdb
-- ------------------------------------------------------
-- Server version	8.0.34

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `x_equip`
--

DROP TABLE IF EXISTS `x_equip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `x_equip` (
  `id` int NOT NULL AUTO_INCREMENT,
  `form` varchar(100) DEFAULT NULL COMMENT 'form',
  `focal` varchar(50) DEFAULT NULL,
  `status` int DEFAULT NULL,
  `deleted` int DEFAULT '0',
  `x1` varchar(50) DEFAULT NULL,
  `x2` varchar(50) DEFAULT NULL,
  `x3` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `x_equip`
--

LOCK TABLES `x_equip` WRITE;
/*!40000 ALTER TABLE `x_equip` DISABLE KEYS */;
INSERT INTO `x_equip` VALUES (3,'string','string',0,0,'string','string','string'),(4,'string','string',0,0,'string','string','string'),(5,'11','1',1,0,'11','11',NULL),(6,'4','3',NULL,0,NULL,'2',NULL),(7,'2',NULL,NULL,0,NULL,'5',NULL),(8,NULL,'1',0,1,NULL,'1234',NULL);
/*!40000 ALTER TABLE `x_equip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `x_menu`
--

DROP TABLE IF EXISTS `x_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `x_menu` (
  `menu_id` int NOT NULL AUTO_INCREMENT,
  `component` varchar(100) DEFAULT NULL,
  `path` varchar(100) DEFAULT NULL,
  `redirect` varchar(100) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `icon` varchar(100) DEFAULT NULL,
  `parent_id` int DEFAULT NULL,
  `is_leaf` varchar(1) DEFAULT NULL,
  `hidden` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `x_menu`
--

LOCK TABLES `x_menu` WRITE;
/*!40000 ALTER TABLE `x_menu` DISABLE KEYS */;
INSERT INTO `x_menu` VALUES (1,'Layout','/sys','/sys/user','sysManage','系统管理','userManage',0,'N',0),(2,'sys/user','user',NULL,'userList','用户列表','user',1,'Y',0),(3,'sys/role','role',NULL,'roleList','角色列表','roleManage',1,'Y',0),(4,'Layout','/test','/test/test1','test','功能测试','form',0,'N',0),(5,'test/test1','test1','','test1','测试点一','form',4,'Y',0),(6,'test/test2','test2','','test2','测试点二','form',4,'Y',0),(7,'test/test3','test3','','test3','测试点三','form',4,'Y',0);
/*!40000 ALTER TABLE `x_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `x_role`
--

DROP TABLE IF EXISTS `x_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `x_role` (
  `role_id` int NOT NULL AUTO_INCREMENT,
  `role_name` varchar(50) DEFAULT NULL,
  `role_desc` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `x_role`
--

LOCK TABLES `x_role` WRITE;
/*!40000 ALTER TABLE `x_role` DISABLE KEYS */;
INSERT INTO `x_role` VALUES (1,'admin','超级管理员'),(3,'normal','普通用户'),(11,'researcher','科研人员');
/*!40000 ALTER TABLE `x_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `x_role_menu`
--

DROP TABLE IF EXISTS `x_role_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `x_role_menu` (
  `id` int NOT NULL AUTO_INCREMENT,
  `role_id` int DEFAULT NULL,
  `menu_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `x_role_menu`
--

LOCK TABLES `x_role_menu` WRITE;
/*!40000 ALTER TABLE `x_role_menu` DISABLE KEYS */;
INSERT INTO `x_role_menu` VALUES (16,1,1),(17,1,2),(18,1,3),(19,1,4),(20,1,5),(21,1,6),(22,1,7);
/*!40000 ALTER TABLE `x_role_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `x_user`
--

DROP TABLE IF EXISTS `x_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `x_user` (
  `id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL,
  `password` varchar(100) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `status` int DEFAULT NULL,
  `avatar` varchar(200) DEFAULT NULL,
  `deleted` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `x_user`
--

LOCK TABLES `x_user` WRITE;
/*!40000 ALTER TABLE `x_user` DISABLE KEYS */;
INSERT INTO `x_user` VALUES (1,'admin','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','super@aliyun.com','18677778888',1,'https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif',0),(2,'zhangsan','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','zhangsan@gmail.com','13966667777',1,'https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif',1),(3,'lisi','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','lisi@gmail.com','13966667778',1,'https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif',1),(4,'wangwu','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','wangwu@gmail.com','13966667772',1,'https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif',1),(5,'zhaoer','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','zhaoer@gmail.com','13966667776',1,'https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif',1),(6,'songliu','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','songliu@gmail.com','13966667771',1,'https://wpimg.wallstcn.com/f778738c-e4f8-4870-b634-56703b4acafe.gif',1),(7,'cyf','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','cyf@123.com','188',1,NULL,1),(8,'cyf','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','123@123.com','123',1,NULL,1),(9,'cyf1','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','1@1.com','123',0,NULL,1),(10,'12312','$2a$10$Sst9zuvoY19Dqp80/sDusO3SgPJ4He.XGI3N/tPNuySXa.xbtAsC.','1@1.com','123',1,NULL,1),(11,'xxx','$2a$10$Yv4VHO49/EFjvDJcGAiD7.pMFktkJKbaY1J0oZhy5.rxh8lvJPTTi','1@1.com','123333',0,NULL,1),(12,'test1','$2a$10$BT0OW2KzYwa4a18r1MJfiuYGYCAsMOFKTmdthxhxwcRgCUlmklbem','1@2.com','01111',1,NULL,1),(13,'12344','$2a$10$qJImekfPKUpAudL4.4NdLe6rMukVKTVySb/EOZFXSHDo1APb/3XHe','1@1.com','0',NULL,NULL,1),(14,'cyf1','$2a$10$IR7DZbw.8g7edttjZHk6teeRICcnHoe7n28eZQ83O0oMBDlGKklR.','1@1.com','12',1,NULL,1),(15,'cyf','$2a$10$gF2wNB6qu5xe.eUggHUFduTYVYTXMcKwi.dKPv7UhLfLRUqS8BDrK','0@0.com','0',1,NULL,0),(16,'string','$2a$10$Cp5QGRR0TNdmbSHZBDRyv.x7NLC1AxHMLNc2C2j4VfZUckrxTP7n.','string','string',0,'string',0);
/*!40000 ALTER TABLE `x_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `x_user_role`
--

DROP TABLE IF EXISTS `x_user_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `x_user_role` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `role_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `x_user_role`
--

LOCK TABLES `x_user_role` WRITE;
/*!40000 ALTER TABLE `x_user_role` DISABLE KEYS */;
INSERT INTO `x_user_role` VALUES (1,1,1),(13,16,0),(14,15,11);
/*!40000 ALTER TABLE `x_user_role` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-12-19 16:27:03
