package com.lantu.sys.service.impl;

import com.lantu.sys.entity.Equip;
import com.lantu.sys.mapper.EquipMapper;
import com.lantu.sys.service.IEquipService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author cyf
 * @since 2023-11-15
 */
@Service
public class EquipServiceImpl extends ServiceImpl<EquipMapper, Equip> implements IEquipService {

    @Override
    @Transactional
    public void addEquip(Equip equip) {
        this.baseMapper.insert(equip);
    }
}
